.a-select-picker {
  position: relative;

  height: 4rem;

  &[data-focus='true'] {
    .rs-dropdown {
      &-toggle {
        border-color: #6868ac;
      }
    }
  }

  &.error {
    .rs-dropdown {
      &-toggle {
        border-color: #dd3a09;
      }
    }
  }

  label {
    position: absolute;
    top: 50%;
    left: 0.5rem;
    z-index: 2;

    padding: 0 1.2rem;

    font-size: 1.4rem;
    font-weight: 500;

    transform: translateY(-50%);

    transition: all 0.25s;

    pointer-events: none;

    &.--active {
      top: 0;
      left: 1.2rem;

      color: #6868ac;
      font-size: 1.2rem;
      font-weight: 600;
    }

    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 1;

      width: 100%;
      height: calc(50% + 1px);

      background: #fff;

      content: '';
    }

    span {
      position: relative;
      z-index: 2;
    }
  }

  &__caret {
    position: absolute;
    top: 50%;
    right: 0.8rem;
    z-index: 3;

    width: 2rem;
    height: 2rem;

    object-fit: contain;
    object-position: center;

    transform: translateY(-50%);

    pointer-events: none;
  }

  &__dropdown {
    z-index: 1;

    width: 100%;

    &.--focus {
      .rs-dropdown {
        &-toggle {
          border-color: #6868ac;
        }
      }
    }

    &.--hidden {
      .rs-dropdown-menu {
        display: none;
      }
    }

    .rs-dropdown {
      &-toggle {
        width: 100%;
        height: 100%;
        min-height: 4rem;
        padding-right: 3.2rem;

        overflow: hidden;

        background: #fff;
        border: 0.1rem solid #d5dee8;
        border-radius: 0.8rem;
        box-shadow: none;

        text-align: left;
        text-overflow: ellipsis;
        white-space: nowrap;

        transition: border 0.25s;

        &-caret {
          display: none;
        }

        .rs-ripple-pond {
          display: none;
        }
      }

      &-menu {
        max-height: 20rem;
        overflow: auto;

        border-radius: 0.8rem;

        &.dropdown-menu-lg {
          min-width: 20rem;
        }

        &.dropdown-menu-xl {
          min-width: 30rem;
        }
      }

      &-item {
        color: #7b809a;

        &.a-select-picker__dropdown-item {
          display: flex;
          align-items: center;

          .dropdown-item__checkbox {
            margin: 0 1.2rem 0 0;

            input[type='checkbox'] {
              width: 1.8rem;
            }
          }
        }

        &:hover {
          background: rgba($color: #6868ac, $alpha: 0.1);

          color: #7b809a;
        }
      }
    }
  }
}
